# Generated by Django 4.1.1 on 2022-09-21 00:58

import django.core.validators
from django.db import migrations, models
import django.utils.timezone
import teachers.format_records


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("groups", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Teachers",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "first_name",
                    models.CharField(
                        default="",
                        max_length=100,
                        null=True,
                        validators=[django.core.validators.MinLengthValidator(2)],
                    ),
                ),
                (
                    "last_name",
                    models.CharField(
                        default="",
                        max_length=100,
                        null=True,
                        validators=[django.core.validators.MinLengthValidator(2)],
                    ),
                ),
                (
                    "email",
                    models.EmailField(default="email@unknown.com", max_length=100),
                ),
                (
                    "birth_date",
                    models.DateField(default=django.utils.timezone.now, null=True),
                ),
                (
                    "phone_number",
                    models.CharField(
                        default="000-000-00-00",
                        max_length=15,
                        null=True,
                        validators=[
                            django.core.validators.RegexValidator(regex="[0-9]{3}-[0-9]{3}-[0-9]{2}-[0-9]{2}$")
                        ],
                    ),
                ),
                (
                    "profession",
                    models.CharField(
                        default="",
                        max_length=100,
                        null=True,
                        validators=[
                            django.core.validators.MinLengthValidator(2),
                            teachers.format_records.profession_validator,
                        ],
                    ),
                ),
                (
                    "avatar",
                    models.ImageField(
                        default="../media/ava.png",
                        upload_to="images",
                        validators=[django.core.validators.FileExtensionValidator(["png", "jpeg", "gif"])],
                    ),
                ),
                (
                    "group",
                    models.ManyToManyField(blank=True, related_name="teachers", to="groups.groups"),
                ),
            ],
        ),
    ]
